package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * app端用户审核表，存放用户的角色还有房产信息
 * </p>
 *
 * @author jobob
 * @since 2019-05-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_user_verify")
public class TaUserVerify implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer userVerifyId;

    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 期ID
     */
    private Integer phaseId;

    /**
     * 期
     */
    private String phaseName;

    /**
     * 楼栋ID
     */
    private Integer buildingId;

    /**
     * 楼栋
     */
    private String buildingName;

    /**
     * 单元
     */
    private Integer unitId;

    /**
     * 单元
     */
    private String unitName;

    /**
     * 楼层id
     */
    private Integer levelId;

    /**
     * 楼层
     */
    private String levelName;

    /**
     * 户号ID
     */
    private Integer roomNoId;

    /**
     * 户号
     */
    private String roomNoName;

    /**
     * 认证状态  0 是未审核   1是审核通过   2是审核不通过
     */
    private String verifyStatus;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 审核人的姓名
     */
    private String verifyName;

    /**
     * 备注
     */
    private String remark;


}
